TRACK_HUB_CONSTRUCTOR(1)

NAME
track_hub_constructor.pl - Build UCSC genome browser Track Hubs from genomic sequence and annotation

SYNOPSIS
track_hub_constructor.pl [--gi ID] [--infolder PATH] [--out PATH] [--baseurl -URL] [--bigwigs -URL,URL#URL] [options]

DESCRIPTION
The UCSC genome browser offers the possibility to visualize additional tracks for organisms that are included in the standard UCSC browser bundle via so called 'Track Hubs'. This script constructs Track Hubs from annotation data.

OPTIONS

--gi -g
    Genome id as used in UCSC assembly hub. Must be correct, otherwise the annotation cannot be mapped on the genome.

--infolder -i
    Directory which contains all track files in BED/bigBed format. The resulting Track Hub will contain these files in their respective bigFile version.

--out -o
    Destination folder for the output Track Hub.

--baseurl -u
    BaseURL used within the Track Hub. This URL will be included verbatim in the resulting Track Hub. It is crucial that this URl is valid, else the resulting Track Hub will be broken.

--bigbeds -b
    URLs pointing to big bed files to be included in the trackhub. Multiple URLs are separated by the character #.

--bigwigs -w
    URLs pointing to big wig files to be included in the trackhub. Multiple URLs are separated by the star character #. It is possible to create a multiwig container by providing 2 URLs instead of one separated by comma character ,. E.g. http://foo.com/bar.bw,http://foo.com/bar2.bw#http://foo.com/bar3.bw yields a multi big wig container displaying bar as positive reads in green and bar2 as negative 3 red colored reads in the same track and additionally bar3 in an own track colored blue.

--help -h
    Print short help.

--man
    Prints the manual page and exits.

SEE ALSO
The UCSC Genome Wiki <http://genomewiki.ucsc.edu/index.php/Track_Hubs> has extensive documentation for Assembly and Track Hubs.

AUTHORS

Florian Eggenhofer <florian.eggenhofer@univie.ac.at>
Michael T. Wolfinger <michael@wolfinger.eu>